MyGUI: MyGUI::ISerializable Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ISerializable Class Reference

`#include <MyGUI_ISerializable.h>`

Inheritance diagram for MyGUI::ISerializable:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type >
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
virtual void | deserialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()=default
virtual | ~IObject ()=default

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Detailed Description

Definition at line 18 of file MyGUI_ISerializable.h.

## Member Typedef Documentation

## ◆ Base

RTTIBase MyGUI::ISerializable::Base

Definition at line 21 of file MyGUI_ISerializable.h.

## ◆ RTTIBase

ISerializable MyGUI::ISerializable::RTTIBase

Definition at line 21 of file MyGUI_ISerializable.h.

## Member Function Documentation

## ◆ deserialization()

virtual void MyGUI::ISerializable::deserialization | ( | xml::ElementPtr | ,
|  | Version | )
| inlinevirtual

Reimplemented in MyGUI::IResource, MyGUI::OverlappedLayer, MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, MyGUI::ResourceTrueTypeFont, and MyGUI::SharedLayer.

Definition at line 25 of file MyGUI_ISerializable.h.

## ◆ getClassTypeName()

static const std::string & MyGUI::ISerializable::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 21 of file MyGUI_ISerializable.h.

## ◆ getTypeName()

virtual const std::string & MyGUI::ISerializable::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IObject.

Reimplemented in MyGUI::EditTextStateInfo, MyGUI::IFont, MyGUI::ILayer, MyGUI::IPointer, MyGUI::IResource, MyGUI::IStateInfo, MyGUI::OverlappedLayer, MyGUI::ResourceImageSet, MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, MyGUI::ResourceTrueTypeFont, MyGUI::RotatingSkinStateInfo, MyGUI::SharedLayer, MyGUI::SubSkinStateInfo, and MyGUI::TileRectStateInfo.

Definition at line 21 of file MyGUI_ISerializable.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ISerializable::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 21 of file MyGUI_ISerializable.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ISerializable::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IObject.

Reimplemented in MyGUI::EditTextStateInfo, MyGUI::IFont, MyGUI::ILayer, MyGUI::IPointer, MyGUI::IResource, MyGUI::IStateInfo, MyGUI::OverlappedLayer, MyGUI::ResourceImageSet, MyGUI::ResourceImageSetPointer, MyGUI::ResourceLayout, MyGUI::ResourceManualFont, MyGUI::ResourceManualPointer, MyGUI::ResourceSkin, MyGUI::ResourceTrueTypeFont, MyGUI::RotatingSkinStateInfo, MyGUI::SharedLayer, MyGUI::SubSkinStateInfo, and MyGUI::TileRectStateInfo.

Definition at line 21 of file MyGUI_ISerializable.h.

## ◆ serialization()

virtual void MyGUI::ISerializable::serialization | ( | xml::ElementPtr | ,
|  | Version | )
| inlinevirtual

Definition at line 24 of file MyGUI_ISerializable.h.

The documentation for this class was generated from the following file:

- MyGUI_ISerializable.h